/* article.css */

::-webkit-scrollbar { width:8px; height:8px; }
::-webkit-scrollbar-thumb { background-color:rgba(40, 40, 40, .5); border-radius:5px; }

pre {
  font-family:monospace;
  overflow-x:auto;
  white-space:pre;
}

/*
 * for /articles/sbu1j0dqshmb4t0j5j2tfxdpon5y6iej/
 */
pre { background-color:#303030; }
pre code.nohighlight { padding:0.5rem; color:#fff; }
code .keyword, code .global { color: #a4e1f9; }
code .reserved { color: #e67a45; font-weight: bold; }
code .constant { color: #87ceeb; }
code .string { color: #ffaaaa; }
code .number { color: #fadd5a; }
code .comment { color: #a6f02e; }
code .delim { color: #40e0db; font-weight: bold; }
code .method { color: #fad07a; }

ol, ul { padding-inline-start:1rem; }
blockquote { padding-left:1rem; border-left:1.2px solid #ccc; }
ol p, ul p, blockquote p {
  margin:0;
  text-indent:0;
}

table { border-collapse:collapse; }
thead { border-bottom:1.2px solid #ccc; }
th:nth-child(1),
td:nth-child(1) {
  border-right:1.2px solid #ccc;
}
th, td { padding:0.1rem 0.5rem; }

img,
video,
iframe {
  max-width:90vw;
}

hr {
  border-bottom:solid 1px #ccc;
  margin-top:20px;
}

sub, sup { font-size:80%; }
textarea { resize:none; }
em { font-weight:bold; }

article { padding:0.5rem; }

/* tag */
div.footer {
  display:flex;
  justify-content:space-between;
  font-size:80%;
}

fieldset {
  margin:0;
}

@media screen and (min-width:768px) {
  img,
  video,
  iframe {
    max-width:100%;
  }
}
